/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.sun.glass.ui.gtk;

import com.sun.glass.ui.Clipboard;
import com.sun.glass.ui.SystemClipboard;
import java.util.HashMap;

/**
 *
 * @author martin
 */
class GtkSystemClipboard extends SystemClipboard {

    public GtkSystemClipboard() {
        super(Clipboard.SYSTEM);
    }

    @Override
    protected native boolean isOwner();

    @Override
    protected native void pushToSystem(HashMap<String, Object> cacheData, int supportedActions);

    @Override
    protected native void pushTargetActionToSystem(int actionDone);

    @Override
    protected native Object popFromSystem(String mimeType);

    @Override
    protected native int supportedSourceActionsFromSystem();

    @Override
    protected native String[] mimesFromSystem();
    
}
